<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <targets>
        <target name="AsyncLogFile" xsi:type="AsyncWrapper">
            <target xsi:type="File" 
                    fileName="${basedir}/Logs/Log.txt"
                    archiveFileName="${basedir}/Logs/Log.{#####}.txt"
                    archiveAboveSize="1048576"
                    maxArchiveFiles="5"
                    archiveNumbering="Rolling"
                    layout="${date:format=dd.MM.yyyy HH\:mm\:ss}: [${level}] ${callsite:className=true:methodName=true}: ${message}${onexception:${newline}(${exception:format=shorttype}) ${exception:format=message}${newline}${exception:innerFormat=shorttype,method,message:maxInnerExceptionLevel=3:format=stacktrace}}${newline}" >
            </target>
        </target>
    </targets>
    <rules>
        <logger name="*" minlevel="Fatal" writeTo="AsyncLogFile"/>
    </rules>
</nlog>


